/*
Section:  2) 1NF to 2NF
Script:   5) Getting Data Into 2NF
Basics:   We have our data set in 1NF.  Now to move to the next step.
Notes:    
*/

/*
2NF only applies to scenarios in which the candidate key we selected
to be the primary key has multiple attributes.  Going through the entity
list we created for 1NF, we can easily see that Instrument is
automatically in 2NF because the primary key is single-attribute.

LineupMember
	- Year (PK)
	- Name (PK)
	- IsSessionOnly
	- (Set of instruments)

Instrument
	- Name (PK)

Song
	- Year
	- Type { Studio, Live }
	- AlbumName (PK, AK2)
	- Label
	- LabelHeadquarters (NULL) <-- New attribute!
	- TrackNumber (AK2)	<-- New attribute!
	- SongName (PK)
	- (Set of members)

ProjeKctMember
	- Year (PK)
	- Name (PK)
	- (Set of instruments)

ProjeKctTrack
	- Year
	- Type { Studio, Live }
	- ProjeKctName (PK, AK2)
	- AlbumName (PK, AK2)
	- TrackNumber (AK2)	<-- New attribute!
	- TrackName (PK)
	- (Set of projeKct members)

TO DO:
1)  Determine if each table is in 2NF.
2)  If a table is not in 2NF, make it so.

NEW Structure:


*/
